// swift-tools-version:5.3
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "WebIdPayProductPlugin",
    platforms: [
        .iOS(.v13)
    ],
    products: [
        // Products define the executables and libraries a package produces, and make them visible to other packages.
        .library(name: "WebIdPayProductPlugin", targets: ["WebIdPayProductPluginWrapper"]),
    ],
    dependencies: [
        // Dependencies declare other packages that this package depends on.
        .package(
            name: "WebIdIosBankIdentPlugin",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackages/webid-bank-ident-plugin-spm",
            .exact("10.0.0")
        ),
        .package(
            name: "WebIdDigitalSigningPlugin",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackages/webid-digital-signing-plugin-spm",
            .exact("11.0.0")
        ),
        .package(
            name: "WebIdIosIdentScanPlugin",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackages/webid-ident-scan-plugin-spm",
            .exact("12.0.0")
        ),
        .package(
            name: "WebIdOnDeviceDocumentScanner",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackages/webid-on-device-document-scanner-spm",
            .exact("12.0.0")
        )
    ],
    targets: [
        .binaryTarget(
            name: "WebIdPayProductPlugin",
            url: "https://api.webid-solutions.de/releases/ios/xcframework/MWI-1288/de/webid-solutions/WebIdPayProductPlugin/13.0.0/WebIdPayProductPlugin.framework-v13.0.0-SNAPSHOT-1159.zip",
            checksum: "03114441a764f965333f3960962e4b8814ef6ad3a9af1d1451c03c12647e0611"
        ),
        .target(
            name: "WebIdPayProductPluginWrapper",
            dependencies: [
                .target(name: "WebIdPayProductPlugin"),
                // [target dependecies here]
                
                .product(name: "WebIdIosBankIdentPlugin", package: "WebIdIosBankIdentPlugin"),
                .product(name: "WebIdDigitalSigningPlugin", package: "WebIdDigitalSigningPlugin"),
                .product(name: "WebIdIosIdentScanPlugin", package: "WebIdIosIdentScanPlugin"),
                .product(name: "WebIdOnDeviceDocumentScanner", package: "WebIdOnDeviceDocumentScanner"),
            ]
        )
    ],
    swiftLanguageVersions: [SwiftVersion.v5]
)
